Subject: Bug in tail command

From: "Kielbasiewicz, Peter" <[email-masked]>
Date: Wed, 29 Dec 2010 07:56:31 +0100

Hello maintainer,

running    tail  +2   on an Ubuntu Box I get the following error:
df | tail +2
tail: cannot open `+2' for reading: No such file or directory

df | tail -lines +2 works OK

I support HP-UX, Redhat and Ubuntu systems and unfortunately the -lines option does not work on my legacy HP-UX systems.

The man page for tail says
       -n, --lines=N
              output the last N lines, instead of the last 10; or  use  +N  to
              output lines starting with the Nth

Here is the version of coreutils which I am running:

#dpkg -s coreutils
Package: coreutils
Essential: yes
Status: install ok installed
Priority: required
Section: utils
Installed-Size: 12988
Maintainer: Ubuntu Developers <[email-masked]>
Architecture: amd64
Version: 7.4-2ubuntu3
Replaces: mktemp
Pre-Depends: libacl1 (>= 2.2.11-1), libattr1 (>= 2.4.41-1), libc6 (>= 2.11), libselinux1 (>= 1.32)

regards
  Peter

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.